/*Windows Whistler Watercolor/Professional theme ported to CSS by aph, Original Watercolor theme by Microsoft*/ 
@import url('assets/imports/NT5LogonBox.css');
@import url('assets/imports/NT5AbtBox.css');
@import url('assets/imports/NT5.1LogonBox.css');

:root {
--3d-objects: #ebebe4;
--3d-objectstxt: #000;
--activebar: none;
--activebartxt: #FFF;
--inactivebar: none;
--inactivebartxt: #FFF;
--bodybgcolor: rgb(0, 0, 0);
--desktopbgcolor: rgb(0, 78, 152);
--desktopbgimg: url("wallpapers/winxp/Professional.jpg");
--taskbarboxshadow: none;
--taskbarbackground: url("assets/taskbar/professional/xptaskbarmiddle.png");
--desktopbgsize: 100% 100%;
--desktopbgposition: center;
--desktopbgtile: no-repeat;
--windowbg: rgb(255, 255, 255);
--windowtxt: black;
--selectedcolor: rgb(49, 106, 197);
		--globaltoolbar: inset -1px -1px gray, inset 1px 1px white;
		--globaltoolbaractive: inset -1px -1px white, inset 1px 1px gray;
		--globaltoolbarflat: 0 0 0 1px #BBC3D7;
		--globaltoolbarflatactive: 0 0 0 1px #2160AF;
--field: inset -1px -1px #fff, inset 1px 1px grey, inset -2px -2px #d4d0c8, inset 2px 2px #404040;
--globalfont: Tahoma, Verdana, Jomolhari, Times New Roman, sans-serif;
--buttonfont: Microsoft Sans Serif, Tahoma, Jomolhari, Times New Roman, sans-serif;
--titlefont: var(--globalfont);
--menu-button: url('assets/taskbar/professional/buttons/xpstartbtn.png');
--menu-button-hover: url('assets/taskbar/professional/buttons/xpstartbtn.png') 0 -22px;
--menu-button-pressed: url('assets/taskbar/professional/buttons/xpstartbtn.png')0 -44px;
}

/*Theme identifier, control panel*/
#themeDropdownText:after {
content: "Windows XP - Watercolor";
}

#winAndButtonsDropdownText:after {
content: "Watercolor button style";
}

#colorSchemeDropdownText:after {
	content: "Watercolor";
}

.dropdownlink.scheme {
	display: none !important;
}

#WatercolorSchemes {
	display: block !important;
}

input[type="checkbox"] + label::before {
width: 11px;
height: 11px;
}

input[type="checkbox"]:checked + label::after {
    left: -18px;
    top: 3px;
}

input[type="checkbox"] + label {
    line-height: 16px;
    font-family: var(--buttonfont);
}


input[type="text"], textarea, .ListBox, #searchResults, input[type="password"] {
	border: 1px solid #808080;
        box-shadow: none !important;
}

#boxText {
    position: absolute;
    left: 59px;
    top: 22px;
}

#windowcontent {
border: 4px solid transparent;
border-top: none;
border-image-source: url('assets/frames/professional/xpinactiveborderimage.png');  
border-image-slice: 4;
  border-style: solid;
  border-top-style: none;
background-color: #ebebe4;
box-shadow: none;
width: calc(100% - 4px);
margin-left: -2px;
margin-top: 0px;
}

.window.current > #windowcontent, .window.forceActive > #windowcontent {
border-image-source: url('assets/frames/professional/xpborderimage.png'); 
}


.window {
box-shadow: none !important;
background: none;
}

.window_bar {
width: 100%;
margin: -2px 0 3px -2px !important;
padding: 0 2px;
height: 24px;
font-size: 8pt;
line-height: 24px;
text-indent: 24px;
font-family: Tahoma;
color: silver;
background-image: url('assets/frames/professional/xpinactivetitlebarleft.png'), url('assets/frames/professional/xpinactivetitlebarright.png'), url('assets/frames/professional/xpinactivetitlebarmiddle.png');
background-repeat: no-repeat, no-repeat, repeat-x;
background-position: left, right, center;
background-size: 7px 24px, 141px 24px, 100% 24px;
}

.window_bar.noIcon {
       text-indent: 6px; 
}

.window.maximized #windowcontent { 
top: -3px;
}

.WindowBarIcon {
left: 6px;
bottom: 4px;
}

.window.current > .window_bar, .window.forceActive > .window_bar {
color: white;
background-image: url('assets/frames/professional/xptitlebarleft.png'), url('assets/frames/professional/xptitlebarright.png'), url('assets/frames/professional/xptitlebarmiddle.png');
background-repeat: no-repeat, no-repeat, repeat-x;
background-position: left, right, center;
background-size: 7px 24px, 141px 24px, 100% 24px;
}
.window.maximized #windowcontent {
    border: none;
    width: 100%;
    height: calc(100% - 22px);
	margin-left: 0px;
}

.resizeableWinBar {
 top: 0px !important;
}

.tabbutton {
    background: rgb(219, 219, 206);
    box-shadow: none !important;
line-height: 18px;
height: 18px;
    border-radius: 0 !important;
box-shadow: none;
}

.tabbutton:not(.selected):hover {
    background: rgb(199, 220, 246);
}

.tabbutton.selected {
    background: rgb(243, 243, 239);
    border: 1px solid white;
        border-top-right-radius: 1px !important;
    border-top-left-radius: 1px !important;
    border-bottom: 1px solid rgb(243, 243, 239);
top: -1px;
}

#tabButton-1.selected {
margin: 0px -5px 0px 0px;
}

.tabcontent {
box-shadow: 2px 2px 2px #0000000f;
background: rgb(243, 243, 239);
border: 1px solid #fff;
width: 382px;
}

.button, div[id^="mBox-button"] {
font-family: var(--buttonfont);
background: #dee0da;
background: linear-gradient(0deg, #dee0da 0%, #f0f2ec 100%) !important;
    box-shadow: inset -1px -1px #bcbec2, inset 1px 1px #fff !important;
    border: 1px solid gray !important;
min-height: 21px;
line-height: 21px;
}

.button:hover:not(:disabled), div[id^="mBox-button"]:hover:not(:disabled) {
    background: #b1ceef;
background: linear-gradient(180deg, #b1ceef 0%, #9bbce5 100%) !important;
        box-shadow: inset -1px -1px #87acdd, inset 1px 1px #c7dcf6 !important;
    border: 1px solid #6f89b0 !important;
}

.button.active:not(:disabled), .button:active:not(:disabled), div[id^="mBox-button"]:active:not(:disabled) {
        background: #b1ceef;
background: linear-gradient(0deg, #b1ceef 0%, #9bbce5 100%) !important;
        box-shadow: inset -1px -1px #c7dcf6, inset 1px 1px #87acdd !important;
    border: 1px solid #667ea2 !important;
}

.button.disabled, div[id^="mBox-button"]:disabled, .button:active:disabled, .button:hover:disabled {
 color: rgb(161,161,146);
        background: #E4E6E0;
background: linear-gradient(0deg, #E4E6E0 0%, #EDEEE9 100%) !important;
        box-shadow: inset -1px -1px #E1E3DD, inset 1px 1px #F4F5F2 !important;
    border: 1px solid #c0c2be !important;
	 text-shadow: none;
}

input::file-selector-button, input[type=color] {
font-family: var(--buttonfont);
background: #dee0da;
background: linear-gradient(0deg, #dee0da 0%, #f0f2ec 100%) !important;
    box-shadow: inset -1px -1px #bcbec2, inset 1px 1px #fff !important;
    border: 1px solid gray !important;
min-height: 21px;
line-height: 21px;
}

input[type=color]:hover {
    background: #b1ceef;
background: linear-gradient(180deg, #b1ceef 0%, #9bbce5 100%) !important;
        box-shadow: inset -1px -1px #87acdd, inset 1px 1px #c7dcf6 !important;
    border: 1px solid #6f89b0 !important;
}

input::file-selector-button:active, input[type=color]:active {
        background: #b1ceef;
background: linear-gradient(0deg, #b1ceef 0%, #9bbce5 100%) !important;
        box-shadow: inset -1px -1px #c7dcf6, inset 1px 1px #87acdd !important;
    border: 1px solid #667ea2 !important;
}

.button:focus, div[id^="mBox-button"]:focus {
    box-shadow: inset 1px 1px #C7DCF6,inset -1px -1px #87ACDD !important;
    eoutline: 1px dotted #000;
    border: 1px solid #6F89B0 !important;
    outline-offset: -4px;
}

.button:focus::before, div[id^="mBox-button"]:focus::before {
  content: "";
  position: absolute;
  top: 1px;
  left: 1px;
  right: 1px;
  bottom: 1px;
      border: 2px solid;
      border-image-source: linear-gradient(#b1ceef, #9ABCE5);
      border-image-slice: 1 !important;
}

#MenuButton {
color: var(--3d-objects-text);
font-size: 8pt;
background: var(--menu-button);
box-shadow: none !important; 
}

#MenuButton:hover {
background: var(--menu-button-hover);
}

#MenuButton.pressed {
background: var(--menu-button-pressed);
}

#themePreview-bar, #appearancePreview-bar {
    margin: -2px 0px 0px 1px !important;
    width: calc(100% + 2px);
    position: relative;
    left: 2px;
}

#mBox-button-OK {
	font-family: var(--globalfont);
}

#themePreview #windowcontent, #appearancePreview #windowcontent {
box-shadow: none;
font-family: var(--buttonfont);
width: calc(100% - 10px);
}

#MenuButton {
    top: 6px;
    left: 2px;
}

#MenuButton.pressed > #MenuButtonStartText {
top: 4px;
right: 4px;
}

#MenuButtonStartText {
top: 4px;
right: 4px;
}

#MenuButtonStartIcon, #MenuButton.pressed > #MenuButtonStartIcon {
top: 3px;
left: 4px;
}

#AboutClose {
    position: absolute;
	border: 1px solid #003c74;
    right: 128px;
}

.DropdownBox {
height: 21px;
border: 1px solid #646464;
box-shadow: none;
background: #FFF !important;
}

.DropdownText {
    display: inline-block;
    width: calc(100% - 12px);
    height: 14px;
    padding: 1px;
    text-indent: 3px;
    line-height: 13px;
    position: absolute;
    margin-left: -2px;
    color: #000;
}

#ControlPanelContent {
    font-family: var(--buttonfont);
}

.DDcontainer.selected .DropdownText {
    background: var(--selectedcolor);
    color: #FFF;
}

.DropdownBoxButton {
    background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAEAAAAASBAMAAAAZAcURAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAwUExURcfc9p252aGhkuvr5P///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAANzuMa0AAAAJcEhZcwAADsMAAA7DAcdvqGQAAABtSURBVCjPYzCGAhc0ABOHK3BgAAMWR0EwEBl2CkKBAKQARIMUgEIBpEAJCMAKTENDg0EKWENDA0AKRFxcHEEKjJSUlCFWhIZCrAAaALYCaADYCpABYAWmwRAFrAEQBSKOEAVGykMuJLEnGGNjAJRcV8tfz/G+AAAAAElFTkSuQmCC");
    background-size: 64px;
    width: 16px;
    height: 18px;
    right: -3px;
     top: -1px;
    background-position: 0 0;
    box-shadow: none;
}

.DDcontainer:hover .DropdownBoxButton {
    background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAEAAAAASBAMAAAAZAcURAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAwUExURcfc9p252aGhkuvr5P///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAANzuMa0AAAAJcEhZcwAADsMAAA7DAcdvqGQAAABtSURBVCjPYzCGAhc0ABOHK3BgAAMWR0EwEBl2CkKBAKQARIMUgEIBpEAJCMAKTENDg0EKWENDA0AKRFxcHEEKjJSUlCFWhIZCrAAaALYCaADYCpABYAWmwRAFrAEQBSKOEAVGykMuJLEnGGNjAJRcV8tfz/G+AAAAAElFTkSuQmCC") -16px 0;
}

.DDcontainer:active .DropdownBoxButton {
    background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAEAAAAASBAMAAAAZAcURAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAwUExURcfc9p252aGhkuvr5P///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAANzuMa0AAAAJcEhZcwAADsMAAA7DAcdvqGQAAABtSURBVCjPYzCGAhc0ABOHK3BgAAMWR0EwEBl2CkKBAKQARIMUgEIBpEAJCMAKTENDg0EKWENDA0AKRFxcHEEKjJSUlCFWhIZCrAAaALYCaADYCpABYAWmwRAFrAEQBSKOEAVGykMuJLEnGGNjAJRcV8tfz/G+AAAAAElFTkSuQmCC") -32px 0;
}


#Taskbar { 
height: 30px;
}

.taskband {
    bottom: 0;
    height: 22px;
    box-shadow: none;
    color: #000;
    background: url('assets/taskbar/professional/taskbands/xptaskband.png');
    background-size: 100% 100%;
	line-height: 22px;
    text-indent: 8px;
    margin: 2px 0 0 -3px;
}

#taskbandContainer {
    bottom: -4px;
    height: 30px;
    padding-left:6px;
}

.taskband {
    color: #000;
    background: url('assets/taskbar/professional/taskbands/xptaskband.png');
}

.taskband:hover {
    background: url('assets/taskbar/professional/taskbands/xptaskband.png') 0 -22px;
}

.taskband:active {
    background: url('assets/taskbar/professional/taskbands/xptaskband.png') 0 -44px;
}

.taskband.current {
box-shadow: none !important;
    background: url('assets/taskbar/professional/taskbands/xptaskband.png') 0 -66px;
}

.taskband.current:hover {
box-shadow: none !important;
    background: url('assets/taskbar/professional/taskbands/xptaskband.png') 0 -22px;
}

.taskband.current:active {
box-shadow: none !important;
    background: url('assets/taskbar/professional/taskbands/xptaskband.png') 0 -44px;
}

#close {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');
background-position: -68px -42px;
box-shadow: none;
width: 17px;
height: 21px;
top: 1px;
margin-right: 2px;
}

#close:hover {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');
background-position: -85px -42px;
}

#close:active {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');
background-position: -102px -42px;
box-shadow: none;
}

.window.current > .window_bar > #close, .window.forceActive > .window_bar > #close {
background-position: 0 -42px;
}

.window.current > .window_bar > #close:hover, .window.forceActive > .window_bar > #close:hover {
background-position: -17px -42px;
}

.window.current > .window_bar > #close:active, .window.forceActive > .window_bar > #close:active {
background-position: -34px -42px;
}

/* css for max button */
#maximize {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');
background-position: -68px -21px;
box-shadow: none;
width: 17px;
height: 21px;
top: 1px;
    right: 1px;
}

#maximize:hover {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');
background-position: -85px -21px;
}

#maximize:active {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');
background-position: -102px -21px;
box-shadow: none;
}

.window.current > .window_bar > #maximize, .window.forceActive > .window_bar > #maximize {
background-position: 0 -21px;
}

.window.current > .window_bar > #maximize:hover, .window.forceActive > .window_bar > #maximize:hover {
background-position: -17px -21px;
}

.window.current > .window_bar > #maximize:active, .window.forceActive > .window_bar > #maximize:active {
background-position: -34px -21px;
}


/* css for min button */

#minimize {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');
background-position: -68px 0px;
box-shadow: none;
width: 17px;
height: 21px;
top: 1px;
right: 0px;
}

#minimize:hover {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');

background-position: -85px 0px;
}

#minimize:active {
background-color: transparent;
background-image: url('assets/frames/professional/xpcaptionbuttons.png');
background-position: -102px 0px;
box-shadow: none;
}

.window.current > .window_bar > #minimize, .window.forceActive > .window_bar > #minimize {
background-position: 0 0;
}

.window.current > .window_bar > #minimize:hover, .window.forceActive > .window_bar > #minimize:hover {
background-position: -17px 0px;
}

.window.current > .window_bar > #minimize:active, .window.forceActive > .window_bar > #minimize:active {
background-position: -34px 0px;
}

/* end of min */

#Menu, .submenu {
box-shadow: 2px 2px 5px #0000007a;
background: white !important;
border: 1px solid #808080;
}

.contextmenu { 
box-shadow: 2px 2px 5px #0000007a;
background: white !important;
border: 1px solid #808080;
}

#StartSpine {
height: calc(100% - 0px);
margin: 0px;
}

#Menu .startLink {
  background: #0000 !important;
padding: 9.5px 37px;
box-shadow: 0 0 0 1px #0000;
}

.submenu .startLink {
	margin: 0;
}

.StartMenuSIcon {
left: 2px;	
}

.submenu {
	text-indent: 26px;
}

.contextmenuEntry {
		margin: 2px;
}

#Menu .startLink:hover {
    color: #000;
    background: rgb(206, 211, 225) !important;
box-shadow: 0 0 0 1px rgb(49, 106, 197);
}

#RimetApps {
	margin-left: 18px;
}

#Menu {
padding-right: 0px;
padding-top: 1px;
padding-bottom: 0px;
}

.startLink:hover .StartMenuArrows {
    color: var(--3d-objectstxt);
}

.contextmenu { 
box-shadow: 2px 2px 5px #0000007a;
background: white !important;
border: 1px solid #808080;
}

.contextmenuEntry {
  background: #0000 !important;
box-shadow: 0 0 0 1px #0000;
}

.contextmenuEntry:hover {
    color: #000;
    background: rgb(206, 211, 225) !important;
box-shadow: 0 0 0 1px rgb(49, 106, 197);
}


#RimetApps .StartMenuMIcon {
margin-top: -22px !important;
}

/* Systray */
#SysTrayTime {
background: url(assets/taskbar/professional/taskbartray.png);
padding-top: 5px !important;
padding: 10px;
padding-bottom: 6px;
box-shadow: none !important;
bottom: -5px !important;
color: black;
right: 2px;
text-align: center;
font-family: var(--globalfont);
font-weight: bold;
}

/* Custom start menu icons */

#SearchStartMenuIcon {
background-image: url("assets/iconset/whistler/Find.png");
}

#HelpStartMenuIcon {
background-image: url("assets/iconset/whistler/Help.png");
}

#RunStartMenuIcon {
background-image: url("assets/iconset/whistler/Run.png");
}

#LogoffStartMenuIcon {
background-image: url("assets/iconset/whistler/Logoff.png");
}

#ShutDownStartMenuIcon {
background-image: url("assets/iconset/whistler/Shutdown.png");
}

/* desk icos */

#CPLDeskIco {
    background-image: url("assets/iconset/whistler/Control Panel.png");
}

#SearchDeskIco {
    background-image: url("assets/iconset/whistler/Find.png");
}

#SearchSmallIcon {
background-image: url('assets/iconset/whistler/Find x16.png');
}

#CPLSmallIcon {
background-image: url('assets/iconset/whistler/Control Panel x16.png');
}

/* inter browser */

#r1stbar {
box-shadow: none;
height: 22px;
}

.ToolbarSeparator {
box-shadow: inset 1px 0px #BDBDB7;
}

.rebar {
box-shadow: inset 0px 1px #808080, inset 0px 2px #fff;
}

#filemenu {
left: 2px;
top: 0px;
}


.throbber {
box-shadow: inset 1px 0px #808080, inset 2px 0px #fff;
margin: 0;
top: 0px;
}
#browserbar {
margin: 0;
margin-right: -1px;
}

#addressbar {
height: 20px;
}

.ToolbarButton:hover {
background-color: #D9E8FA;
box-shadow: var(--globaltoolbarflat);
}
.ToolbarButton:active {
background-color: #2469BF;
box-shadow: var(--globaltoolbarflatactive);
}

.TaskbandIcon {
left: 2.5%;
margin-left: 0px;
top: 15%;
}

#watermark {
	bottom: 23px !important;
}

#AbtDialogBanner, #AbtDialogProgressBar {
	width: 417px !important;
	left: 0px !important;
}

.QLToolbarBtns:hover {
background-color: #D9E8FA;
box-shadow: var(--globaltoolbarflat);
}
.QLToolbarBtns:active {
background-color: #2469BF;
box-shadow: var(--globaltoolbaractiveflat);
}

#RimetunesCategoryList {
	right: 4px !important;
}

.SysList {
        box-shadow: none;
		border: 1px solid #808080;
}


#ExplorerContents {
    width: 100%;
    height: 100%;
    margin-left: 0px;
    padding: 6px;
    padding-left: 2px;
}
/*Rimet Watercolor theme*/